MINTPY-SAVE_KMZ_TIMESERIES(1)

NAME
mintpy-save_kmz_timeseries - Generare Google Earth KMZ file for time-series file.

DESCRIPTION
usage: save_kmz_timeseries.py [-h] [--vel FILE] [--tcoh FILE] [--mask FILE]

[-o OUTFILE] [--steps STEPS STEPS STEPS]
    [--level-of-details LODS LODS LODS LODS] [--vlim VMIN VMAX] [--wrap] [--colormap COLORMAP] [--cutoff CUTOFF] [--min-percentage MIN_PERCENTAGE] [--kk] timeseries_file

Generare Google Earth KMZ file for time-series file.

  options:

-h, --help
    show this help message and exit

--kk, --keep-kml, --keep-kml-file
    Do not remove KML and data/resource files after compressing into KMZ file.

  Input files:

    File/Dataset to display

timeseries_file
    Timeseries file to generate KML for

--vel FILE
    Velocity file, used for the color of dot

--tcoh FILE
    temporal coherence file, used for stat info

--mask FILE
    Mask file

-o OUTFILE, --output OUTFILE
    Output KMZ file name.

  Display options:

    configurations for the display

--steps STEPS STEPS STEPS
    list of steps for output pixel (default: [20, 5, 2]). Set to [20, 5, 0] to skip the 3rd high-resolution level to reduce file size.

--level-of-details LODS LODS LODS LODS, --lods LODS LODS LODS LODS
    list of level of details to determine the visible range while browering. Default: 0, 1500, 4000, -1. Ref: https://developers.google.com/kml/documentation/kml_21tutorial

--vlim VMIN VMAX, -v VMIN VMAX
    min/max range in cm/yr for color coding.

--wrap
    re-wrap data to [VMIN, VMAX) for color coding.

--colormap COLORMAP, -c COLORMAP
    colormap used for display, i.e. jet, RdBu, hsv, jet_r, temperature, viridis, etc. colormaps in Matplotlib - http://matplotlib.org/users/colormaps.html colormaps in GMT - http://soliton.vm.bytemark.co.uk/pub/cpt-city/

  HD for deforming areas:

    High resolution output for deforming areas

--cutoff CUTOFF
    choose points with velocity >= cutoff * MAD. Default: 3.

--min-percentage MIN_PERCENTAGE, --min-perc MIN_PERCENTAGE
    choose boxes with >= min percentage of pixels are deforming. Default: 0.2.

  example:

    cd $PROJECT_NAME/mintpy/geo save_kmz_timeseries.py geo_timeseries_ERA5_ramp_demErr.h5 save_kmz_timeseries.py geo_timeseries_ERA5_ramp_demErr.h5 -v -5 5 --wrap save_kmz_timeseries.py timeseries_ERA5_demErr.h5 --vel velocity.h5 --tcoh temporalCoherence.h5 --mask maskTempCoh.h5